Get Event Appointment Checklist
curl --request GET \
--url https://api.decodahealth.com/check-in/calendar/appointment-checklist \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/check-in/calendar/appointment-checklist"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/check-in/calendar/appointment-checklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"eventId": "<string>",
"name": "<string>",
"optional": true,
"position": 123,
"serviceId": "<string>",
"measurementFieldId": "<string>",
"measurementGroupId": "<string>",
"completedDate": "2023-11-07T05:31:56Z",
"completedByUser": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Calendar and Appointments
Get Event Appointment Checklist
Return checklist items for the given event from AppointmentChecklistItem joined with ServiceChecklist.
GET
/
check-in
/
calendar
/
appointment-checklist
Get Event Appointment Checklist
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Response
Successful Response
Available options:
FILLED_FORM, CHECKED_IN, WITH_MA, MEASUREMENT_TAKEN, DOSE_TAKEN, WITH_PROVIDER, NOTE_TAKEN, PAYMENT_MADE, REQUEST_GFE, PICTURE_TAKEN, CARE_PLAN Show child attributes
Show child attributes
⌘I
